{$mode objfpc}{$R+}{$H+}{$assertions on}
uses
  Math;

function Dist(a1, a2: Double): Double;
begin
  Result := Abs(a1 - a2);
  Result := Min(Result, 360 - Result);
end;

var
  t, m, h, rm, rh, s, bests, d: Double;
  p, bestp, md, i: Integer;
  f: Boolean;
begin
  AssignFile(input, 'input.txt'); Reset(input);
  AssignFile(output, 'output.txt'); Rewrite(output);
  Read(t, md);
  Assert((0 <= t) and (t <= 10000) and (Abs(Round(t * 1000) - t * 1000) < 1e-10));
  Assert((0 < md) and (md <= 10000));
  bests := Infinity; bestp := 0;
  for p := 1 to 24 * 60 do begin
    m := 0;
    h := 0;
    s := 0;
    d := 0;
    f := true;
    for i := 1 to 24 * 60 do begin
      d += t / 6 - 1;
      m += t;
      while m >= 360 do m -= 360;
      h += t / 12;
      while h >= 360 do h -= 360;
      rm := (i * 6) mod 360;
      rh := i / 2;
      while rh >= 360 do rh -= 360;
      if (i mod p = 0) or (i = 24 * 60) then begin
        s += Dist(m, rm) + Dist(h, rh);
        //Writeln(i, ': ', Dist(m, rm) + Dist(h, rh): 0: 5);
        h := rh;
        m := rm;
        d := 0;
      end;
      f := Dist(h, rh) / 360 * 12 * 60 <= md + 1e-8;
      if not f then break;
    end;
    //Writeln('p=', p, ' ', 's=', s:0:5, ' ', f);
    //if not f then Writeln(Dist(h, rh) / 360 * 12 * 60);
    //s := RoundTo(s, -6);
    if f and ((s < bests) or (Abs(s - bests) < 1e-8) and (p > bestp)) then begin
      bests := s;
      bestp := p;
    end;
  end;
  Writeln(bests:0:4, ' ', bestp);
end.
